
libpikamodule_sources = files(
  'pikamodule.c',
  'pikamoduledb.c',
)

libpikamodule_headers = files(
  'pikamodule.h',
  'pikamoduledb.h',
  'pikamoduletypes.h',
)

libpikamodule_introspectable = [
  libpikamodule_sources,
  libpikamodule_headers,
]

libpikamodule = library('pikamodule-' + pika_api_version,
  libpikamodule_sources,
  include_directories: rootInclude,
  dependencies: [
    gio, glib, gmodule,
  ],
  c_args: [ '-DG_LOG_DOMAIN="LibPikaModule"', '-DPIKA_MODULE_COMPILATION', ],
  link_with: [
    libpikabase,
    libpikaconfig,
  ],
  vs_module_defs: 'pikamodule.def',
  install: true,
  version: so_version,
)

install_headers(
  libpikamodule_headers,
  subdir: pika_api_name / 'libpikamodule',
)
